Subject: bug#76850: [PATCH] tests: pack: Fix nondeterministic AppImage tests.

From: Noé Lopez <[email-masked]>
Date: Tue, 08 Apr 2025 21:11:31 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi Noé,
>
> Noé Lopez <[email-masked]> skribis:
>
>> As reported in #76850, the tested AppImages were not actually relocatable and
>> would rely on items being available on the environment’s store (apart from
>> glibc).
>>
>> * guix/scripts/pack.scm (wrapped-manifest): New function.
>> (guix-pack): Extract relocatable manifest to wrapped-manifest.
>> * tests/pack.scm: Use relocatable profiles in AppImage tests.
>>
>> Change-Id: Ib3123054913fce903d215dc0629d806e9fceebc7
>
> Please add a “Fixes” line and a “Reported-by” tag as is usually done.
>
>> +(define*-public (wrapped-manifest manifest #:rest args)
>
> Simply ‘define*’.
>

Then how do I use it in the test? @@ won’t work, I think because the
module is declarative and guile is inlining it.

Or did you mean I should use define* and add it to the module exports in
define-module?

> Otherwise LGTM, thanks for fixing it!
>
> Ludo’.

Thanks for the review,
Noé